//
//  MainMenuButton.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 16/05/2024.
//

import SwiftUI

struct MainMenuButton<Content : View>: View {
    let content: Content
    let title: String
    
    init(title: String, @ViewBuilder content: () -> Content) {
            self.title = title
            self.content = content()
        }
    
    var body: some View {
        NavigationLink(title){
            // ici mettre la vue sur les parties enregistrées à la place du texte n'hésite pas à tester sur la preview la navigation ça marche, faire pareil pour les autres
            content
        }
            .frame(maxWidth: .infinity)
            .padding(EdgeInsets(top: 10, leading: 32, bottom: 10, trailing: 32))
            .buttonStyle(.bordered)
            .controlSize(.large)
            .foregroundColor(.white)
            .background(.black)
            .buttonBorderShape(.roundedRectangle)
            .clipShape(Capsule())
        Spacer().frame(height: 50)
    }
}

struct MainMenuButton_Previews: PreviewProvider {
    static var previews: some View {
            NavigationView {
                VStack {
                    MainMenuButton(title: "Parties enregistrées") {
                        Text("Je suis un test")
                    }
                }
            }
        }
}
